Update Omni Flow Agent
curl --request PUT \
--url https://api.trillet.ai/v1/api/omni-flow-agents/{agentId} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--header 'x-workspace-id: <x-workspace-id>' \
--data '
{
"name": "<string>",
"llmModel": "<string>",
"ttsModel": {
"provider": "<string>",
"voiceId": "<string>"
}
}
'import requests
url = "https://api.trillet.ai/v1/api/omni-flow-agents/{agentId}"
payload = {
"name": "<string>",
"llmModel": "<string>",
"ttsModel": {
"provider": "<string>",
"voiceId": "<string>"
}
}
headers = {
"x-api-key": "<api-key>",
"x-workspace-id": "<x-workspace-id>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'x-api-key': '<api-key>',
'x-workspace-id': '<x-workspace-id>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: '<string>',
llmModel: '<string>',
ttsModel: {provider: '<string>', voiceId: '<string>'}
})
};
fetch('https://api.trillet.ai/v1/api/omni-flow-agents/{agentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_id": "agentIdExample",
"workspaceId": "workspaceIdExample",
"userId": "userIdExample",
"name": "Updated Agent Name",
"llmModel": "gpt-4o-mini",
"phoneNumberId": "phoneNumberIdExample",
"settings": {
"customSetting": "value"
},
"status": "ready",
"createdAt": "2025-01-01T12:00:00Z",
"updatedAt": "2025-01-02T12:00:00Z"
}
Omni Flow Agents (Message)
Update Omni Flow Agent
Update an existing agent
PUT
/
v1
/
api
/
omni-flow-agents
/
{agentId}
Update Omni Flow Agent
Headers
string
required
API key used for authenticating requests to the API.
string
required
Workspace identifier for the API.
Path Parameters
string
required
The unique identifier of the agent to update
Request Body
string
New name for the agent
string
New language model to use
Response Fields
string
The unique identifier for the OmniFlowAgent.
string
The identifier of the workspace where the OmniFlowAgent is configured.
string
The identifier of the user associated with the OmniFlowAgent, if any.
string
The name of the OmniFlowAgent.
string
The language model used by the OmniFlowAgent, such as ‘gpt-4o-mini’.
string
The identifier of the phone number associated with the OmniFlowAgent.
object
A flexible schema for storing custom settings related to the OmniFlowAgent.
string
The operational status of the OmniFlowAgent, such as ‘pending’, ‘ready’, or
‘error’.
string
Timestamp when the conversation was created.
string
Timestamp when the conversation was last updated.
{
"_id": "agentIdExample",
"workspaceId": "workspaceIdExample",
"userId": "userIdExample",
"name": "Updated Agent Name",
"llmModel": "gpt-4o-mini",
"phoneNumberId": "phoneNumberIdExample",
"settings": {
"customSetting": "value"
},
"status": "ready",
"createdAt": "2025-01-01T12:00:00Z",
"updatedAt": "2025-01-02T12:00:00Z"
}
⌘I
